#sidebar {
	position: fixed;
	color: #333;
	right: 0;
	top: 0;
	height: 100%;
	background-size: cover;
	padding-top: 64px;
	z-index: 2;
	background-color: #fff;
	@include border-box;
	font-family: 'Helvetica W01 Light', sans-serif;
	line-height: 1.4;
	
	.v-ie & {
		position: absolute;
	}
	

	-webkit-transition: -webkit-transform $default-transition-duration, opacity 0s $default-transition-duration;
	-ms-transition: -ms-transform $default-transition-duration, opacity 0s $default-transition-duration;
	transition: transform $default-transition-duration, opacity 0s $default-transition-duration;
	
	.v-ui[width-range~="0px-800px"] & {
		-webkit-transition: -webkit-transform 500ms, opacity 0s 500ms;
		-ms-transition: -ms-transform 500ms, opacity 0s 500ms;
		transition: transform 500ms, opacity 0s 500ms;
	}
	
	-webkit-transform-origin: 100% 0;
	-ms-transform-origin: 100% 0;
	transform-origin: 100% 0;
	
	@include transform(rotateY(-120deg));
	
	width: $sidebar-width;
	opacity: 0;
	
	.v-ui[width-range~="0px-800px"] & {
		width: 100%;
		@include transform(translateY(100%));
		
		.sidebar-header {
			visibility: hidden;
		}
		
		background-color: transparent;
	}
	
	.v-ui[width-range~="801px-"] & {
		@include community-box-shadow;
		border-left: 1px solid #dfdfdf;
	}
	
	input {
		font-family: inherit;
		color: inherit;
	}
	
	.sidebar-open & {
		-webkit-transition: -webkit-transform $default-transition-duration;
		-ms-transition: -ms-transform $default-transition-duration;
		transition: transform $default-transition-duration;
		
		@include transform(rotateY(0deg), true);
		opacity: 1;
	}
	
	.sidebar-open .v-ui[width-range~="0px-800px"] & {
		-webkit-transition: -webkit-transform 500ms;
		-ms-transition: -ms-transform 500ms;
		transition: transform 500ms;
	}
	
	.sidebar-header {
		@include border-box;
		font-family:'HelveticaW01-RoundedBd', sans-serif;
		color: #666666;
		font-size: 18px;
		width: 100%;
		height: 64px;
		top: 0;
		padding: 21px;
		position: absolute;
		
		-webkit-transition: opacity 150ms, visibility 150ms, -webkit-transform 150ms;
    	transition: opacity 150ms, visibility 150ms, transform 150ms;
		
		&.leftfade {
			opacity: 0;
			visibility: hidden;
			@include transform(translateX(-20px));
		}
		&.rightfade {
			opacity: 0;
			visibility: hidden;
			@include transform(translateX(20px));
		}
	}
	
	#sidebar-content {
		width: 100%;
		height: 100%;
		position: relative;
		background-color: #fff;
	}
	
	.sidebar-content-content {
		position: absolute;
		top: 0;
		left: 0;
		visibility: hidden;
		opacity: 0;
		
		-webkit-transition: opacity 300ms, visibility 300ms;
    	transition: opacity 300ms, visibility 300ms;
		
		&.opencontent {
			visibility: visible;
			opacity: 1;
			z-index: 10;
		}
	}
	
	#edit,
	#info {
		width: 100%;
		height: 100%;
	}
}

@media all and (max-width: 800px) {
	.sidebar-open {
		.v-window {
			visibility: hidden !important;
			
			&.v-colorpicker-popup {
				visibility: visible !important;
			}
		}
	}
}

.v-ie8, .v-ie9  {
	
	#sidebar {
		@include transform(none, true);
		display: none;	
	}
	
	&.sidebar-open #sidebar {
		display: block;	
	}
	
}

.v-ie {
	&:not(.sidebar-open) #sidebar #info:not(.opencontent) {
		display: none;
	} 	
}
